v1.0.0
OpenAPI 3.1.0
Get an automation action
Client Libraries
US region
Returns information about a specific action in an automation.
The ID of the automation that you want to trigger or return information about.
The action you want to lookup or act on.
The campaignID or actionID is invalid. It could also be that the language requested does not exist for this action.
The automation and/or action do not exist.
curl https://api.customer.io/v1/campaigns/3/actions/1 \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"action": {
"id": 96,
"broadcast_id": 2,
"deduplicate_id": "15:1492548073",
"name": "Opening Message",
"layout": "string",
"created": 1552341937,
"updated": 1552341937,
"body": "string",
"type": "email",
"sending_state": "automatic",
"language": "fr",
"from": "sentFrom@example.com",
"from_id": 1,
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"subject": "Did you get that thing I sent you?",
"cc": "string",
"bcc": "string",
"fake_bcc": true,
"preheader_text": "string",
"body_amp": "string",
"campaign_id": 5,
"parent_action_id": 1,
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
}
}Returns the requested automation action.